View Issue Details

Category
SSPBT:本体(SSP)
SeverityfeatureReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000084: ヘッドラインについて
Description

ヘッドラインのスクリプトに![set,choicetimeout,0]が設定されているため自動で
チェックするように設定していると選択肢がタイムアウトしないためヘッドラインを
表示したまま止まってしまいます。標準では通常の選択肢と同じようにタイムアウト
したほうが良いと思うのですがタイムアウトしない設定が欲しいユーザーが居るかも
しれないのでSSP側で![set,choicetimeout,0]を挿入する、しないを設定出来ると
良いのですが。検討をお願いします。

Activities

ponapalt

2021-05-21 09:14

administrator   ~0000345

2.5実装予定

guest

2021-05-22 19:18

reporter   ~0000355

2.5で追加されたヘッドラインのタイムアウト設定ですがチェックを外しても
![set,choicetimeout,0]が来てタイムアウトするにならないようです。
さらにこの設定は記憶されないようで設定画面を閉じるとチェックありに戻って
しまいます。確認をお願いします。

SSP 2.5.00、2.5.01
Windows10 20H2

ponapalt

2021-05-25 14:43

administrator   ~0000362

2.5.02

guest

2021-05-26 01:40

reporter   ~0000364

2.5.02で確認したところ設定は保存されるようになったのですがタイムアウトする
にならないようです。ログを確認すると以下のようになっています。

\1\s[10]\0\b[2]\s[0]「Disc-2」ヘッドラインです。\n![set,choicetimeout,0]
![quicksession,true]_a[https://yusyuparo.net/]\_u[91]シェル] カフェオレ
びたしのオールドファッション_a\n

(略)

![quicksession,false]\n\q[続きを読む,]\n\q[サイトを開く,http://disc2.s56.xrea.com/]
\n\q[やめる,読み上げ中止]\e![set,choicetimeout]![set,balloontimeout]

最初の![set,choicetimeout,0]を最後の![set,choicetimeout]![set,balloontimeout]で
デフォルトに戻していますがその前に\eがあるため無視されてしまいます。
これはゴースト側で\eを付けている場合に発生します(里々など\eを自動で付ける栞)
最初の![set,choicetimeout,0]が効いてしまい設定に関係なく常にタイムアウト
しないになっているようです。

SSP 2.5.02
Windows10 20H2
使用ゴースト Water Surface

ponapalt

2021-06-06 14:11

administrator   ~0000377

2.5.03 FIXED

Issue History

Date Modified Username Field Change
2020-04-23 21:13 guest New Issue
2020-04-26 09:26 ponapalt Assigned To => ponapalt
2020-04-26 09:26 ponapalt Status new => assigned
2021-05-21 09:14 ponapalt Status assigned => closed
2021-05-21 09:14 ponapalt Resolution open => fixed
2021-05-21 09:14 ponapalt Fixed in Version => 2.5 (リリース)
2021-05-21 09:14 ponapalt Note Added: 0000345
2021-05-22 19:18 guest Status closed => feedback
2021-05-22 19:18 guest Resolution fixed => reopened
2021-05-22 19:18 guest Note Added: 0000355
2021-05-25 14:43 ponapalt Status feedback => closed
2021-05-25 14:43 ponapalt Note Added: 0000362
2021-05-26 01:40 guest Status closed => feedback
2021-05-26 01:40 guest Note Added: 0000364
2021-06-06 14:11 ponapalt Status feedback => closed
2021-06-06 14:11 ponapalt Note Added: 0000377